"""The main module that runs {term}`GSO`."""
import typer
from orchestrator import OrchestratorCore
from orchestrator.cli.main import app as core_cli
from orchestrator.settings import AppSettings

import gso.products  # noqa: F401
import gso.workflows  # noqa: F401
from gso import load_gso_cli
from gso.api.api_v1.api import api_router

app = OrchestratorCore(base_settings=AppSettings())
app.include_router(api_router, prefix="/api")


def init_cli_app() -> typer.Typer:
    load_gso_cli(core_cli)
    return core_cli()


if __name__ == "__main__":
    init_cli_app()
